Subject: 23.0.60; \ is considered whitespace syntax in Lisp mode?

From: "Drew Adams" <[email-masked]>
Date: Tue, 13 May 2008 20:33:43 -0700

emacs -Q
In *scratch*, type a backslash followed by a TAB and a letter:
 
\ b
 
Put the cursor on the letter.
M-: (skip-syntax-backward "\\s-")
 
The cursor is on the backslash. IOW, it skipped not only the
whitespace but also the \, which should have escape syntax.
 
This is the first time I've noticed this, so I'm guessing there is a
good explanation and this behavior is somehow correct. But looking at
the Elisp manual, I don't get that impression. Willing to learn...

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-05-04 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'